variables:
  DOCKER_IMAGE_NAME: minha_aplicacao_flask

stages:
  - build
  - release
  - deploy

build:
  stage: build
  image: docker/compose:latest
  services:
    - docker:dind
  script:
    - docker-compose build

release:
  stage: release
  image: docker:latest
  services:
    - docker:dind
  script:
    - docker build -t minha_aplicacao_flask:latest .
    - echo "Logging into Docker Registry..."
    - docker login -u $DOCKER_USERNAME -p $DOCKER_PASSWORD
    - echo "Tagging the Docker Image..."
    - docker tag minha_aplicacao_flask:latest ubirat/minha_aplicacao_flask:$CI_COMMIT_REF_SLUG
    - echo "Pushing the Docker Image to Registry..."
    - docker push ubirat/minha_aplicacao_flask:$CI_COMMIT_REF_SLUG
 
deploy:
  stage: deploy
  image: docker/compose:latest
  services:
    - docker:dind
  script:
    - docker-compose up -d